//po4a: entry man manual
= irqtop(1)
:doctype: manpage
:man manual: User Commands
:man source: util-linux {release-version}
:page-layout: base
:command: irqtop

== NAME

irqtop - utility to display kernel interrupt information

== SYNOPSIS

*irqtop* [options]

== DESCRIPTION

Display kernel interrupt counter information in *top*(1) style view.

The default output is subject to change. So whenever possible, you should avoid using default outputs in your scripts. Always explicitly define expected columns by using *--output*.

== OPTIONS

*-o*, *--output* _list_::
Specify which output columns to print. Use *--help* to get a list of all supported columns. The default list of columns may be extended if list is specified in the format _+list_.

*-c*, *--cpu-stat* _mode_::
Show per-cpu statistics by specified mode. Available modes are: *auto*, *enable*, *disable*. The default option *auto* detects the width of window, then shows the per-cpu statistics if the width of window is large enough to show a full line of statistics.

*-C*, *--cpu-list* _list_::
Specify cpus in list format to show.

*-d*, *--delay* _seconds_::
Update interrupt output every _seconds_ intervals.

*-s*, *--sort* _column_::
Specify sort criteria by column name. See *--help* output to get column names. The sort criteria may be changes in interactive mode.

*-S*, *--softirq*::
Show softirqs information.

include::man-common/help-version.adoc[]

== INTERACTIVE MODE KEY COMMANDS

*i*::
sort by short irq name or number field

*t*::
sort by total count of interrupts (the default)

*d*::
sort by delta count of interrupts

*n*::
sort by long descriptive name field

*q Q*::
stop updates and exit program

== AUTHORS

mailto:pizhenwei@bytedance.com[Zhenwei Pi],
mailto:kerolasa@iki.fi[Sami Kerola],
mailto:kzak@redhat.com[Karel Zak]

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
